Nextcloud server startet nicht

Hallo zusammen,

ich nutze seit vielen Jahren nextcloud auf einem Ubuntu server in meinem privatem Hausnetz. Ich habe heute das ubuntu auf 20.04 LTS updated und nun läuft nextcloud nicht mehr.

Wie äußert sich das?

  • Weder das Webinterface noch der desktop-client finden nextcloud.

Was habe ich kurz vor dem Update gemacht?

  • ich habe versucht, die php -intl Warnung loszuwerden, hat aber nicht funktioniert!

Was habe ich schon untersucht?

  • andere Webseiten auf dem Server laufen (z.B. part-db, phpadmin etc.)
  • phpinfo läuft ebenfalls und zeigt, dass php-7.2 genutzt wird (finde ich etwas komisch)
  • log Dateien von apache2 zeigen nichts besonderes
  • wenn ich eine test.html in das nextcloud root verzeichnis lege, dann bekomme ich diese richtig angezeigt (Webserver und Namensauflösung laufen wohl

Was sagt die nextcloud log? (Auszug)

{"reqId":"DlOEtYImI9c09nlaNAFv","level":3,"time":"2020-06-13T19:32:19+00:00","remoteAddr":"192.168.1.84","user":"--","app":"PHP","method":"PROPFIND","url":"/nextcloud/remote.php/dav/addressbooks/users/matthias/contacts/","message":"Error: Class 'OCA\\DAV\\Connector\\Sabre\\ExceptionLoggerPlugin' not found at /var/www/html/nextcloud/remote.php#59","userAgent":"Mozilla/5.0 (X11; Linux x86_64) KHTML/5.68.0 (>
{"reqId":"DlOEtYImI9c09nlaNAFv","level":3,"time":"2020-06-13T19:32:19+00:00","remoteAddr":"192.168.1.84","user":"--","app":"PHP","method":"PROPFIND","url":"/nextcloud/remote.php/dav/addressbooks/users/matthias/contacts/","message":"You are using a fallback implementation of the intl extension. Installing the native one is highly recommended instead. at /var/www/html/nextcloud/3rdparty/patchwork/utf8/src/P>
{"reqId":"W3Gff4BvpJRsBdwpswNb","level":3,"time":"2020-06-13T19:32:19+00:00","remoteAddr":"192.168.1.84","user":"--","app":"PHP","method":"PROPFIND","url":"/nextcloud/remote.php/dav/","message":"Error: Class 'OCA\\DAV\\Connector\\Sabre\\ExceptionLoggerPlugin' not found at /var/www/html/nextcloud/remote.php#59","userAgent":"Mozilla/5.0 (X11; Linux x86_64) KHTML/5.68.0 (like Gecko) Konqueror/5 KIO/5.68","ve>
{"reqId":"W3Gff4BvpJRsBdwpswNb","level":3,"time":"2020-06-13T19:32:19+00:00","remoteAddr":"192.168.1.84","user":"--","app":"PHP","method":"PROPFIND","url":"/nextcloud/remote.php/dav/","message":"You are using a fallback implementation of the intl extension. Installing the native one is highly recommended instead. at /var/www/html/nextcloud/3rdparty/patchwork/utf8/src/Patchwork/Utf8/Bootup/intl.php#18","us>
{"reqId":"eVOt6gx1NIq5NlwIW6Fs","level":3,"time":"2020-06-13T19:37:19+00:00","remoteAddr":"192.168.1.84","user":"--","app":"PHP","method":"PROPFIND","url":"/nextcloud/remote.php/dav/","message":"Error: Class 'OCA\\DAV\\Connector\\Sabre\\ExceptionLoggerPlugin' not found at /var/www/html/nextcloud/remote.php#59","userAgent":"Mozilla/5.0 (X11; Linux x86_64) KHTML/5.68.0 (like Gecko) Konqueror/5 KIO/5.68","ve>
{"reqId":"eVOt6gx1NIq5NlwIW6Fs","level":3,"time":"2020-06-13T19:37:19+00:00","remoteAddr":"192.168.1.84","user":"--","app":"PHP","method":"PROPFIND","url":"/nextcloud/remote.php/dav/","message":"You are using a fallback implementation of the intl extension. Installing the native one is highly recommended instead. at /var/www/html/nextcloud/3rdparty/patchwork/utf8/src/Patchwork/Utf8/Bootup/intl.php#18","us>
{"reqId":"IzyTCFjwC5SHHRXS34bs","level":3,"time":"2020-06-13T19:37:19+00:00","remoteAddr":"192.168.1.84","user":"--","app":"PHP","method":"PROPFIND","url":"/nextcloud/remote.php/dav/","message":"Error: Class 'OCA\\DAV\\Connector\\Sabre\\ExceptionLoggerPlugin' not found at /var/www/html/nextcloud/remote.php#59","userAgent":"Mozilla/5.0 (X11; Linux x86_64) KHTML/5.68.0 (like Gecko) Konqueror/5 KIO/5.68","ve>
{"reqId":"IzyTCFjwC5SHHRXS34bs","level":3,"time":"2020-06-13T19:37:19+00:00","remoteAddr":"192.168.1.84","user":"--","app":"PHP","method":"PROPFIND","url":"/nextcloud/remote.php/dav/","message":"You are using a fallback implementation of the intl extension. Installing the native one is highly recommended instead. at /var/www/html/nextcloud/3rdparty/patchwork/utf8/src/Patchwork/Utf8/Bootup/intl.php#18","us>

Ich bin damit mit meinem Wissen am Ende. Gibt es weitere Test die ich durchführen kann um den Fehler zu finden?

Danke

Matthias

Hi everyone,

I cloud fix my problem by manually switching the php version to 7.4

sudo a2dismod php7.2
sudo a2enmod php7.4

Thanks

Matthias